<?php
/*
Plugin Name: ChatMe Login Widget
Plugin URI: http://chatme.im
Description: Displays the ChatMe User Status.
Author: camaran 
Version: 1.0.4
Author URI: http://chatme.im
*/
class chatme_login_Widget extends WP_Widget {

	//
	//	Constructor
	//
	function chatme_login_Widget() {

		//	'widget_chatme_login' is the CSS class name assigned to the widget
		//	'description' is the widget description that appears in the 'Available Widgets' list in the backend
		$widget_ops = array('classname' => 'widget_chatme_login', 'description' => __('Chatme Login Widget') );
		
		//	'logn-form-widget', this will be the ID (random-picture-widget-1, random-picture-widget-2, etc)
		//	__('ChatMe Login Form') is the title of the widget in the backend
		$this->WP_Widget('logn-form-widget', __('ChatMe Login Form'), $widget_ops);
		
	}
	
	//
	//	widget() - outputs the content of the widget, in our case: a random picture. 
	//
	function widget($args,$instance) {
	
		extract($args);

		//	Get the title of the widget and the specified width of the image
		$title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
			
		//	Outputs the widget in its standard ul li format.
		echo $before_widget;
		if (!empty( $title )) { 
			echo $before_title . 'ChatMe.im Login' . $after_title; 
		};
		echo '<ul style="list-style:none;margin-left:0px;">';
		
		//	Let's display the image(s)

			//	Outputs the image
		echo '  <form method="get" action="https://webchat.chatme.im" target="_blank">';
			echo '  <li>Username <input type="text" name="u" /><br/><small>user@chatme.im</small></li>';
			echo '  <li>Password <input type="password" name="q" /><input type="hidden" name="h" value="1"></li>';
			echo '  <li><input type="submit" value="Entra in chat"></li>';
		echo '  </form>';
		
		echo '</ul>';
		echo $after_widget;
		//	Done
	}
	
	//
	//	update() - processes widget options to be saved.
	//
	function update($new_instance, $old_instance) {
		
		$instance = $old_instance;
		$instance['title'] = strip_tags($new_instance['title']);
		//$instance['width'] = strip_tags($new_instance['width']);

		return $instance;
		
	}
	
	//
	//	form() - outputs the options form on admin in Appearance => Widgets (backend). 
	//
	function form($instance) {

		//	Assigns values
		//$instance = wp_parse_args( (array) $instance, array( 'title' => '', 'width' => '' ) );
		$instance = wp_parse_args( (array) $instance, array( 'title' => '' ) );
		$title = strip_tags($instance['title']);
		//$width = strip_tags($instance['width']);
		?>
			<p>Not more option for this widget</p>
			<!-- <p><label for="<?php echo $this->get_field_id('title'); ?>"><?php echo __('ChatMe Username'); ?>: <input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo attribute_escape($title); ?>" />@chatme.im</label></p>
			 <p><label for="<?php echo $this->get_field_id('width'); ?>"><?php echo __('Width'); ?>: <input class="widefat" id="<?php echo $this->get_field_id('width'); ?>" name="<?php echo $this->get_field_name('width'); ?>" type="text" value="<?php echo attribute_escape($width); ?>" /></label></p> -->
		<?php
		
	}

}

//
//	Register the chatme_status_Widget widget class
//
add_action('widgets_init', create_function('', 'return register_widget("chatme_login_Widget");'));

?>